/*
 *  ksystemtray_31.h  -  KDE system tray applet: compatibility for KDE <= 3.1
 *  Program:  kalarm
 *  (C) 2004 by David Jarvie <software@astrojar.org.uk>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  In addition, as a special exception, the copyright holders give permission
 *  to link the code of this program with any edition of the Qt library by
 *  Trolltech AS, Norway (or with modified versions of Qt that use the same
 *  license as Qt), and distribute linked combinations including the two.
 *  You must obey the GNU General Public License in all respects for all of
 *  the code used other than Qt.  If you modify this file, you may extend
 *  this exception to your version of the file, but you are not obligated to
 *  do so. If you do not wish to do so, delete this exception statement from
 *  your version.
 */

#ifndef __ksystemtray_31_h__
#define __ksystemtray_31_h__

#ifdef KSystemTray
#undef KSystemTray
#endif
#ifdef KActionCollection
#undef KActionCollection
#endif

#include <kdeversion.h>
#include <ksystemtray.h>
#if !KDE_IS_VERSION(3,1,90)

#if KDE_VERSION < 308
#include <kaction.h>
class KPopupMenu;
class KAction;
class ActionCollection_30;
#endif

class KSystemTray_31 : public KSystemTray
{
	public:
		KSystemTray_31(QWidget* parent, const char* name = 0);
	protected:
		QPixmap loadIcon(const QString& name);
#if KDE_VERSION < 308
	public:
		~KSystemTray_31();
		ActionCollection_30* actionCollection()  { return mActionCollection; }
	protected:
		virtual void contextMenuAboutToShow(KPopupMenu*);
	private:
		static ActionCollection_30* mActionCollection;
		bool  mQuitReplaced;        // the context menu Quit item has been replaced
#endif
};


#if KDE_VERSION < 308
class ActionCollection_30 : public KActionCollection
{
	public:
		ActionCollection_30(QObject* parent = 0) : KActionCollection(parent), mInsertedAction(0) { }
		KAction*  action(const char*) { return 0; }
		void      remove(KAction*)    { }
		void      insert(KAction* a)  { mInsertedAction = a; }
		KAction*  insertedAction()    { return mInsertedAction; }
	private:
		KAction*  mInsertedAction;
};

#define KActionCollection ActionCollection_30
#endif

#define KSystemTray KSystemTray_31

#endif // !KDE_IS_VERSION(3,1,90)
#endif // __ksystemtray_31_h__
